curl --request PATCH \
--url https://api.diversion.dev/v0/repos/{repo_id}/reviews/{review_id}/reviewers/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/reviews/{review_id}/reviewers/status"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/reviews/{review_id}/reviewers/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"status": "open",
"author": {
"id": "<string>",
"image": "<string>",
"email": "jsmith@example.com",
"full_name": "<string>",
"name": "<string>",
"tier": "EDUCATION"
},
"created_at": 123,
"updated_at": 123,
"base_ref": "<string>",
"compare_ref": "<string>",
"repo_id": "<string>",
"description": "<string>",
"reviewers": [
{
"id": "<string>",
"image": "<string>",
"email": "jsmith@example.com",
"full_name": "<string>",
"name": "<string>",
"tier": "EDUCATION"
}
],
"reviewer_statuses": [
{
"user_id": "<string>",
"status": "requested",
"updated_at": 123
}
],
"merge_commit_id": 123,
"active_merge_id": "<string>",
"draft_commit_id": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Update reviewer status
Update the current user’s reviewer status for a review
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
3 - 128"example_id"
Review ID
128Body
Payload for updating reviewer status
New reviewer status (requested is not allowed for manual updates)
approved, changes_requested, rejected Response
Reviewer status updated successfully
Review details
Review ID
Review title
Review status
open, closed User details
Show child attributes
Show child attributes
Unix timestamp when the review was created
Unix timestamp when the review was last updated
Base reference (branch/commit)
Compare reference (branch/commit)
Repository ID
Review description
List of reviewers
Show child attributes
Show child attributes
List of reviewer statuses
Show child attributes
Show child attributes
ID of the commit that merged this review
ID of active merge with conflicts
ID of the draft commit that created this review

